Loading...
Searching...
No Matches
csound_threaded.hpp File Reference
`#include "csound.hpp"`
`#include <atomic>`
`#include <condition_variable>`
`#include <memory>`
`#include <mutex>`
`#include <queue>`
`#include <thread>`

## Data Structures

class | concurrent_queue< Data >
| A thread-safe queue, or first-in first-out (FIFO) queue, implemented using only the standard C++11 library. More...
struct | CsoundEvent
| Abstract base class for Csound events to be enqueued for performance. More...
struct | CsoundScoreEvent
| Specialization of CsoundEvent for low-level score events with raw pfields. More...
struct | CsoundTextEvent
| Specialization of CsoundEvent for high-level textual score events, fragments of scores, or entire scores. More...
class | CsoundThreaded
| This class provides a multi-threaded C++ interface to the "C" Csound API. More...